Subject: Re: SQL/JSON json_table plan clause

From: Andrew Dunstan <[email-masked]>
Date: Tue, 17 Dec 2024 12:36:24 -0500

On 2024-12-17 Tu 10:11 AM, Nikita Malakhov wrote:
> Hi hackers!
>
> This thread is further work continued in [1], where Amit Langote
> suggested starting discussion on the remaining SQL/JSON feature
> 'PLAN clause for JSON_TABLE' anew.
>
> We'd like to help with merging SQL/JSON patches into vanilla,
> and have adapted PLAN clause to recent changes in JSON_TABLE
> function.
>
> While doing this we've found that some tests with the PLAN clause
> were incorrect, along with JSON_TABLE behavior with this clause.
> We've corrected this behavior, but these corrections required reverting
> some removed and heavily refactored code, so we'd be glad for review
> and feedback on this patch.
>
> Also, we've noticed that Oracle set the PLAN clause for JSON_TABLE
> aside for some reason.

I noticed that several months ago, and I was somewhat surprised. I'm not 
sure anyone else has it either. But that doesn't mean we shouldn't have 
it. It's in the standard and seems useful, so I'm very glad to see this 
effort.

cheers

andrew

--
Andrew Dunstan
EDB: https://www.enterprisedb.com